## tdealternatives-trinity 14.1.5

=== CMakeLists.txt ===
################################################################################
# TDEAlternatives - alternatives configuration module for TDE                  #
#                                                                              #
# Improvements and feedback are welcome!                                       #
# This software is licensed under the terms of the GNU GPL v3 license.         #
################################################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( tdealternatives )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS       "Enable all optional support"             OFF )
option( WITH_DISTRIBUTION_DPKG "Enable support for DPKG package manager" OFF )
option( WITH_DISTRIBUTION_RPM  "Enable support for RPM package manager"  OFF )

option( WITH_GCC_VISIBILITY    "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL              "Build all"            ON )
option( BUILD_DOC              "Build documentation"  ${BUILD_ALL} )
option( BUILD_TRANSLATIONS     "Build translations"   ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## tdealternatives-trinity 14.1.4

=== debian/changelog ===
tdealternatives-trinity (4:14.1.4-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdealternatives

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 21 Apr 2025 09:40:30 +0200

tdealternatives-trinity (0.10-0) unstable; urgency=low

  * Initial release for TDE

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Sun, 30 Mar 2025 22:46:00 +0900

=== debian/control ===
Source: tdealternatives-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev

Package: tdealternatives-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A TDE control module to manage Mandrake/Debian alternative programs
 TDEAlternatives is a TDE program that allows you to easily configure and
 change your Mandrake/Debian alternatives system.

## tdealternatives-trinity 14.1.5~pre3

=== debian/changelog ===
tdealternatives-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 1e811349e7a127c59f0a2ebd95c8b79a9baba849
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdealternatives

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdealternatives-trinity 14.1.5

=== debian/changelog ===
tdealternatives-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdealternatives

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdealternatives-trinity 14.1.6~pre0

=== debian/changelog ===
tdealternatives-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 1e811349e7a127c59f0a2ebd95c8b79a9baba849
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdealternatives

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdealternatives-trinity 14.1.6~pre1

=== debian/changelog ===
tdealternatives-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ec667fd51650a9cd88e8239755e35904d9dbbb59
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdealternatives

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:59:46 +0100

## tdealternatives-trinity 14.2.0~pre23

=== src/CMakeLists.txt ===
################################################################################
# TDEAlternatives - alternatives configuration module for TDE                  #
#                                                                              #
# Improvements and feedback are welcome!                                       #
# This software is licensed under the terms of the GNU GPL v3 license.         #
################################################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


### kcm_tdealternatives (module) ##################################################

tde_add_kpart( kcm_tdealternatives AUTOMOC
  SOURCES
    addslavesui.ui propertieswindow.ui addalternativesui.ui mainwindow.ui
    altcontroller.cpp tdealternatives.cpp altparser.cpp altitemelement.cpp
    treeitemelement.cpp addslaves.cpp addalternatives.cpp
  LINK
    tdeui-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


### translated desktop files ###################################################

tde_create_translated_desktop( tdealternatives.desktop )


### data #######################################################################

tde_install_icons( )

install(
  FILES tdealternativesui.rc
  DESTINATION ${DATA_INSTALL_DIR}/tdealternatives
)

=== debian/changelog ===
tdealternatives-trinity (4:14.2.0~pre23-0ubuntu20.04.0+6) focal; urgency=low

  * Automated git build for c332b94d7865644416565549a12bfa5242e25828
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdealternatives

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON" \
 -DWITH_DISTRIBUTION_DPKG="ON"

## tdealternatives-trinity 14.2.0~pre24

=== debian/changelog ===
tdealternatives-trinity (4:14.2.0~pre24-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for eb8e37113721870919d64c649b02e2976865f86e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdealternatives

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:04:27 +0100
